// ------------------------------------------------------------------------------
// http://www.arkitus.com
// Copyright (C) 2006  Ali Eslami
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// ------------------------------------------------------------------------------
// Static.java
// Static object that does nothing.
// ------------------------------------------------------------------------------

class Static extends PhysicsModel
{
  /**
   * Constructor
   */
  Static(String N, Polygon P, Material M, Point C, float R, Settings S, String I)
  {
    super(N, "Static", P, M, C, R, S, I);
  }
   
  /**
   * Executes one frame
   */
  Model frame(ArrayList models, boolean[] keys)
  {
    move();
    damp(0.99, 0.98);
    return this;
  }
   
  /**
   * Parse the input string
   */
  void parseInput(String input)
  {
  }
}
