// ------------------------------------------------------------------------------
// http://www.arkitus.com
// Copyright (C) 2006  Ali Eslami
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// ------------------------------------------------------------------------------
// Force.java
// Data type for forces. Forces are vectors with points of application.
// ------------------------------------------------------------------------------

class Force
{
  Point point;
  Vector vector;
  
  /**
   * Constructor
   */
  Force()
  {
    point = new Point();
    vector = new Vector();
  }
  
  /**
   * Constructor with arguments
   */
  Force(Point P, Vector V)
  {
    point = P;
    vector = V;
  }
  
  /**
   * Multiply force
   */
  Force multiply(float k)
  {
    Force R = new Force();
    R.point = point;
    R.vector = vector.multiply(k);
    return R;
  }
}
